View Issue Details

IDProjectCategoryView StatusLast Update
0002465gnunet-gtkgnunet-setuppublic2012-12-21 16:47
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.9.5Fixed in Version0.9.5 
Summary0002465: need dedicated dialogs for editing GNS records
DescriptionFor different GNS record types, it would be nice to have dedicated dialogs that are specific to the record type (i.e. A, AAAA, SOA, etc.), to avoid forcing users to know our arcane record value syntax.
TagsNo tags attached.

Relationships

related to 0002492 closedChristian Grothoff records are immediately deleted on right click 
related to 0002473 closedChristian Grothoff make it easy to move names between zones 

Activities

Christian Grothoff

2012-12-03 21:14

manager   ~0006629

Extraction (and testing --- time zone fun!) of absolute expiration values is still missing. Other than that (and 0002473), the "generic" part and the "A"-record are done.

Christian Grothoff

2012-12-04 10:22

manager   ~0006632

Absolute expiration values are now working as well.

Christian Grothoff

2012-12-04 15:46

manager   ~0006639

All of the common record types (A, AAAA, CNAME, LEHO, MX, NS, PKEY, PTR, SOA, TXT and VPN) are now supported.

Issue History

Date Modified Username Field Change
2012-06-26 23:47 Christian Grothoff New Issue
2012-06-27 23:21 Christian Grothoff Assigned To => Christian Grothoff
2012-06-27 23:21 Christian Grothoff Status new => assigned
2012-11-10 22:41 Christian Grothoff Relationship added related to 0002492
2012-11-10 22:42 Christian Grothoff Relationship added related to 0002473
2012-12-03 21:14 Christian Grothoff Note Added: 0006629
2012-12-04 10:22 Christian Grothoff Note Added: 0006632
2012-12-04 15:46 Christian Grothoff Note Added: 0006639
2012-12-04 15:46 Christian Grothoff Status assigned => resolved
2012-12-04 15:46 Christian Grothoff Fixed in Version => 0.9.5
2012-12-04 15:46 Christian Grothoff Resolution open => fixed
2012-12-21 16:47 Christian Grothoff Status resolved => closed